PHP-инклюдинг в phpBB Security Suite IP Logger

Дата публикации:
09.10.2006
Дата изменения:
17.10.2006
Всего просмотров:
2796
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Security Suite IP Logger 1.x (модуль к phpBB)
Уязвимые версии: Security Suite IP Logger (модуль к phpBB) 1.0.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "phpbb_root_path" в сценарии includes/logger_engine.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[path]/includes/logger_engine.php?phpbb_root_path=[file]

URL производителя: developer.berlios.de/project/showfiles.php?group_id=876

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: phpBB Security Suite Mod 1.0.0 (logger_engine.php) Remote File Include

или введите имя

CAPTCHA